jQuery(document).ready(function($){
    ///======item gallery CODE
    var _gallery = jQuery('.dzsscr_item_gallery_list').eq(0);

    $('.dzsscr-add-gallery-item').bind('click', click_add_gallery_item);
    $(document).delegate('li .ui-delete', 'click', click_item_delete);


    _gallery.sortable({
        items: 'li',
        scrollSensitivity:50,
        forcePlaceholderSize: true,
        forceHelperSize: false,
        helper: 'clone',
        opacity: 0.7,
        placeholder: 'dzsp_item_gallery_list-placeholder',
        update: function(event, ui) {
            update_dzsscr_item_gallery_metafield();
        }
    });

    ///======item gallery CODE END

    function click_item_delete(){
        var _t = jQuery(this);
        //console.info(_t);
        _t.parent().remove();
        update_dzsscr_item_gallery_metafield();
    }
    function update_dzsscr_item_gallery_metafield(){
        jQuery('#dzsscr_image_gallery').val('');
        var aux = '';
        i=0;
        jQuery('.dzsscr_item_gallery_list').children().each(function(){
            var _t = jQuery(this);
            //console.log(_t);
            if(i>0){
                aux+=',';
            }
            aux+=_t.attr('data-id');
            i++;
        });
        jQuery('#dzsscr_image_gallery').val(aux);
    }

    function click_add_gallery_item(e){
        //console.log('ceva');


        item_gallery_frame = wp.media.frames.downloadable_file = wp.media({
            title: 'Add Images to Item Gallery',
            button: {
                text: 'Add to gallery'
            },
            multiple: true
        });

        item_gallery_frame.on( 'select', function() {

            var selection = item_gallery_frame.state().get('selection');
            selection = selection.toJSON();

            for(i=0;i<selection.length;i++){

                var _c = selection[i];
                //console.info(_c);
                if(_c.id==undefined){
                    continue;
                }

                _gallery.append('<li class="item-element" data-id="'+_c.id+'"><img class="the-image" src="'+_c.url+'"/><div class="ui-delete"></div></li>')

            }
            update_dzsscr_item_gallery_metafield();

        });



        // Finally, open the modal.
        item_gallery_frame.open();
        ///======item gallery CODE END



        return false;
    }


});